Connect an SMTP/IMAP mailbox

POST
/email-providers

Adds a mailbox after testing its SMTP and IMAP credentials. The number of mailboxes is limited by your subscription (1 plus the additional mailboxes you pay for).

Authorization

apiKey
Authorization<token>

Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

SMTP and IMAP credentials of the mailbox. The credentials are tested before saving. For Google and Microsoft accounts prefer the OAuth connection in the app.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/email-providers" \  -H "Authorization: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "senderName": "Marie Martin",    "senderEmail": "marie@acme.com",    "emailType": "SMTP",    "smtp": {      "login": "marie@acme.com",      "password": "app-password",      "server": "smtp.acme.com",      "port": 465,      "ssl": true    },    "imap": {      "login": "marie@acme.com",      "password": "app-password",      "server": "imap.acme.com",      "port": 993,      "ssl": true    }  }'
{  "success": true,  "id": "6650f1a2b839d80011c5a0aa"}